Get a custom incentive by id
curl --request GET \
--url https://api.rallyuxr.com/api/public/v1/incentives/custom/{customIncentiveId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rallyuxr.com/api/public/v1/incentives/custom/{customIncentiveId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rallyuxr.com/api/public/v1/incentives/custom/{customIncentiveId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"customIncentiveId": "<string>",
"name": "<string>",
"description": "<string>",
"options": [
{
"name": "<string>"
}
]
}{
"errors": [
{
"message": "<string>",
"path": [
"<string>"
]
}
]
}"Unauthorized""Forbidden""{Resource} not found""Too Many Requests""Internal Server Error"Incentives
Get a custom incentive by id
Gets a custom incentive by id
GET
/
incentives
/
custom
/
{customIncentiveId}
Get a custom incentive by id
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The id of the custom incentive
Response
Custom incentive response
The id of the custom incentive
The name of the custom incentive
The description of the custom incentive
The type of the custom incentive
Available options:
STRING, NUMBER, MONETARY, SINGLE_SELECT Show child attributes
Show child attributes
⌘I